Skip to main content
GET
/
open-banking
/
v1
/
accounts
/
{account-id}
/
balances
Read balance
curl --request GET \
  --url https://api.example.com/open-banking/v1/accounts/{account-id}/balances \
  --header 'Consent-ID: <consent-id>' \
  --header 'X-Request-ID: <x-request-id>'
{
  "balances": [
    {
      "balanceAmount": {
        "currency": "EUR",
        "amount": "123.50"
      },
      "balanceType": "closingBooked",
      "creditLimitIncluded": true,
      "lastChangeDateTime": "2025-11-27T15:30:35.035Z",
      "referenceDate": "2025-11-27",
      "lastCommittedTransaction": "ENT-0001"
    }
  ],
  "account": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  }
}

Headers

ID of the consent resource

X-Request-ID
string
required

ID of the request, unique to the call, as determined by the initiating party

Path Parameters

account-id
string
required

Resource identification of the account

Response

Balance information successfully retrieved

balances
object[]
required

List of balances

account
object

Account reference

Last modified on April 17, 2026